#ifndef __RLSTRING_D
#define __RLSTRING_D

#include <stdio.h>

typedef struct {
    char *data;
    int size;
    int alloc;
} rlString;

int rlgets(rlString*, FILE*);
int rlputs(rlString*, FILE*);

#endif/*__RLSTRING_D*/
